<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/fs_util_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>:Info: fs_util_: 2021-10-28  fs_util_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The fs_util_ subroutine provides for uniform handling of file system
<span id="L5" class="LineNr">  5 </span>entries.  Supported operations are validate, copy, delete, chname,
<span id="L6" class="LineNr">  6 </span>get_switch, set_switch, get_max_length, set_max_length, set_bit_count,
<span id="L7" class="LineNr">  7 </span>and ACL manipulation.  When invoked, the subroutine checks to see if
<span id="L8" class="LineNr">  8 </span>the entry name provided is that of an extended entry and if it is,
<span id="L9" class="LineNr">  9 </span>calls the corresponding entry point of the appropriate suffix_XXX_
<span id="L10" class="LineNr"> 10 </span>subroutine.  If the name is not that of an extended entry, then
<span id="L11" class="LineNr"> 11 </span>fs_util_ calls the appropriate standard entry entry point handler for
<span id="L12" class="LineNr"> 12 </span>the entry.
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Entry points in fs_util_:
<span id="L16" class="LineNr"> 16 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>:Entry:  add_acl_entries:  1985-02-27 fs_util_$add_acl_entries
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Function:  This entry point is used to add to the Access Control List
<span id="L23" class="LineNr"> 23 </span>of an entry.  If an access name already appears on the ACL of the
<span id="L24" class="LineNr"> 24 </span>entry, its mode is changed to the one specified by the call.
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Syntax:
<span id="L28" class="LineNr"> 28 </span>declare fs_util_$add_acl_entries entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L29" class="LineNr"> 29 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L30" class="LineNr"> 30 </span>call fs_util_$add_acl_entries <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> acl_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>Arguments:
<span id="L34" class="LineNr"> 34 </span>dir_name
<span id="L35" class="LineNr"> 35 </span>   is the absolute pathname of the directory containing the entry.
<span id="L36" class="LineNr"> 36 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>entryname
<span id="L38" class="LineNr"> 38 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr"> 39 </span>acl_ptr
<span id="L40" class="LineNr"> 40 </span>   is a pointer to the general_acl structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr"> 41 </span>code
<span id="L42" class="LineNr"> 42 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>Notes:  The general_acl structure and the named constant
<span id="L46" class="LineNr"> 46 </span>GENERAL_ACL_VERSION_1 are defined in the include file
<span id="L47" class="LineNr"> 47 </span>acl_structures.incl.pl1.
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>:Entry:  add_extended_acl_entries: 1985-02-27 fs_util_$add_extended_acl_entries
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>Function:  This entry point is used to add to the Extended Access
<span id="L54" class="LineNr"> 54 </span>Control List of a standard entry.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Syntax:
<span id="L58" class="LineNr"> 58 </span>declare fs_util_$add_extended_acl_entries entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L59" class="LineNr"> 59 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L60" class="LineNr"> 60 </span>call fs_util_$add_extended_acl_entries <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> acl_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L61" class="LineNr"> 61 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>Arguments:
<span id="L65" class="LineNr"> 65 </span>dir_name
<span id="L66" class="LineNr"> 66 </span>   is the absolute pathname of the directory containing the entry.
<span id="L67" class="LineNr"> 67 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L68" class="LineNr"> 68 </span>entryname
<span id="L69" class="LineNr"> 69 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L70" class="LineNr"> 70 </span>acl_ptr
<span id="L71" class="LineNr"> 71 </span>   is a pointer to the structure general_extended_acl.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L72" class="LineNr"> 72 </span>code
<span id="L73" class="LineNr"> 73 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>Notes:  This interface is intended to be used only by extended entry
<span id="L77" class="LineNr"> 77 </span>type support routines, <span class="textRainbow_lv0_p0">(</span>also referenced as suffix_XXX_<span class="textRainbow_lv0_p0">)</span>, in order to
<span id="L78" class="LineNr"> 78 </span>map an ACL mode provided to fs_util_ into a standard mode/extended mode
<span id="L79" class="LineNr"> 79 </span>pair to be placed on the underlying standard entry or entries which are
<span id="L80" class="LineNr"> 80 </span>being used to implement the extended entry type.
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>The general_extended_acl structure and the named constant
<span id="L83" class="LineNr"> 83 </span>GENERAL_EXTENDED_ACL_VERSION_1 are defined in the include file
<span id="L84" class="LineNr"> 84 </span>acl_structures.incl.pl1.
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span>:Entry:  chname_file:  1985-02-27 fs_util_$chname_file
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>Function:  This entry point is used to change the name of an entry.  If
<span id="L91" class="LineNr"> 91 </span>only an old_name is given, the effect is to delete.  If only a new_name
<span id="L92" class="LineNr"> 92 </span>is given, the effect is to add the name.  If both are specified, the
<span id="L93" class="LineNr"> 93 </span>effect is to rename the entry.
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>Syntax:
<span id="L97" class="LineNr"> 97 </span>declare fs_util_$chname_file entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L98" class="LineNr"> 98 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L99" class="LineNr"> 99 </span>call fs_util_$chname_file <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> old_name<span class="textRainbow_lv0_o0">,</span> new_name<span class="textRainbow_lv0_o0">,</span>
<span id="L100" class="LineNr">100 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>Arguments:
<span id="L104" class="LineNr">104 </span>dir_name
<span id="L105" class="LineNr">105 </span>   is the absolute pathname of the directory containing the entry.
<span id="L106" class="LineNr">106 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L107" class="LineNr">107 </span>entryname
<span id="L108" class="LineNr">108 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L109" class="LineNr">109 </span>old_name
<span id="L110" class="LineNr">110 </span>   is the name to be deleted from the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be a null
<span id="L111" class="LineNr">111 </span>   character string <span class="textRainbow_lv0_p0">(</span>&quot;&quot;<span class="textRainbow_lv0_p0">)</span> in which case no name is deleted.  If old_name
<span id="L112" class="LineNr">112 </span>   is null, the new_name must not be null.
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>new_name
<span id="L116" class="LineNr">116 </span>   is the new name to be added to the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It must not
<span id="L117" class="LineNr">117 </span>   already exist in the directory on this or another entry.  It can be
<span id="L118" class="LineNr">118 </span>   a null string <span class="textRainbow_lv0_p0">(</span>&quot;&quot;<span class="textRainbow_lv0_p0">)</span> in which case no name is added to the entry.  It
<span id="L119" class="LineNr">119 </span>   it is null, then old_name must not be the only name on the entry.
<span id="L120" class="LineNr">120 </span>code
<span id="L121" class="LineNr">121 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>:Entry:  copy:  1985-02-27 fs_util_$copy
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>Function:  This entry point is used to copy an entry.
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>Syntax:
<span id="L131" class="LineNr">131 </span>declare fs_util_$copy entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L132" class="LineNr">132 </span>call fs_util_$copy <span class="textRainbow_lv0_p0">(</span>copy_options_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>Arguments:
<span id="L136" class="LineNr">136 </span>copy_options_ptr
<span id="L137" class="LineNr">137 </span>   is a pointer to the copy_options structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L138" class="LineNr">138 </span>code
<span id="L139" class="LineNr">139 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>Notes:  The copy_options structure and the named constant
<span id="L143" class="LineNr">143 </span>COPY_OPTIONS_VERSION_1 are defined in the include file
<span id="L144" class="LineNr">144 </span>copy_options.incl.pl1.
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>
<span id="L147" class="LineNr">147 </span>:Entry:  delete_acl_entries:  1985-02-27 fs_util_$delete_acl_entries
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>Function:  This entry point deletes a member of an entry's Access
<span id="L151" class="LineNr">151 </span>Control List.
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>Syntax:
<span id="L155" class="LineNr">155 </span>declare fs_util_$delete_acl_entries entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L156" class="LineNr">156 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L157" class="LineNr">157 </span>call fs_util_$delete_acl_entries <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> acl_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>Arguments:
<span id="L161" class="LineNr">161 </span>dir_name
<span id="L162" class="LineNr">162 </span>   is the absolute pathname of the directory containing the entry.
<span id="L163" class="LineNr">163 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L164" class="LineNr">164 </span>entryname
<span id="L165" class="LineNr">165 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L166" class="LineNr">166 </span>acl_ptr
<span id="L167" class="LineNr">167 </span>   is a pointer to the structure general_delete_acl.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L168" class="LineNr">168 </span>code
<span id="L169" class="LineNr">169 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>
<span id="L172" class="LineNr">172 </span>Notes:  The general_delete_acl structure and the named constant
<span id="L173" class="LineNr">173 </span>GENERAL_DELETE_ACL_VERSION_1 are defined in the include file
<span id="L174" class="LineNr">174 </span>acl_structures.incl.pl1.
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>:Entry:  delentry_file:  1985-02-27 fs_util_$delentry_file
<span id="L178" class="LineNr">178 </span>
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>Function:  This entry point deletes a file system entry.
<span id="L181" class="LineNr">181 </span>
<span id="L182" class="LineNr">182 </span>
<span id="L183" class="LineNr">183 </span>Syntax:
<span id="L184" class="LineNr">184 </span>declare fs_util_$delentry_file entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin
<span id="L185" class="LineNr">185 </span>     <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L186" class="LineNr">186 </span>call fs_util_$delentry_file <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>Arguments:
<span id="L190" class="LineNr">190 </span>dir_name
<span id="L191" class="LineNr">191 </span>   is the absolute pathname of the directory containing the entry.
<span id="L192" class="LineNr">192 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L193" class="LineNr">193 </span>entryname
<span id="L194" class="LineNr">194 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L195" class="LineNr">195 </span>code
<span id="L196" class="LineNr">196 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>
<span id="L199" class="LineNr">199 </span>:Entry:  get_bit_count:  1985-02-27 fs_util_$get_bit_count
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>Function:  This entry point returns the number of useful bits in an
<span id="L203" class="LineNr">203 </span>entry.
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>
<span id="L206" class="LineNr">206 </span>Syntax:
<span id="L207" class="LineNr">207 </span>declare fs_util_$get_bit_count entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>41<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L208" class="LineNr">208 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L209" class="LineNr">209 </span>call fs_util_$get_bit_count <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> bit_count<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L210" class="LineNr">210 </span>
<span id="L211" class="LineNr">211 </span>
<span id="L212" class="LineNr">212 </span>Arguments:
<span id="L213" class="LineNr">213 </span>dir_name
<span id="L214" class="LineNr">214 </span>   is the absolute pathname of the directory containing the entry.
<span id="L215" class="LineNr">215 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L216" class="LineNr">216 </span>entryname
<span id="L217" class="LineNr">217 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L218" class="LineNr">218 </span>bit_count
<span id="L219" class="LineNr">219 </span>   is the number of bits considered useful in the entry.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L220" class="LineNr">220 </span>code
<span id="L221" class="LineNr">221 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L222" class="LineNr">222 </span>
<span id="L223" class="LineNr">223 </span>
<span id="L224" class="LineNr">224 </span>:Entry:  get_max_length:  1985-02-27 fs_util_$get_max_length
<span id="L225" class="LineNr">225 </span>
<span id="L226" class="LineNr">226 </span>
<span id="L227" class="LineNr">227 </span>Function:  This entry point returns the maximum length setting for an
<span id="L228" class="LineNr">228 </span>entry.
<span id="L229" class="LineNr">229 </span>
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>Syntax:
<span id="L232" class="LineNr">232 </span>declare fs_util_$get_max_length entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin
<span id="L233" class="LineNr">233 </span>     <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L234" class="LineNr">234 </span>call fs_util_$get_max_length <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> max_length<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L235" class="LineNr">235 </span>
<span id="L236" class="LineNr">236 </span>
<span id="L237" class="LineNr">237 </span>Arguments:
<span id="L238" class="LineNr">238 </span>dir_name
<span id="L239" class="LineNr">239 </span>   is the absolute pathname of the directory containing the entry.
<span id="L240" class="LineNr">240 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L241" class="LineNr">241 </span>entryname
<span id="L242" class="LineNr">242 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L243" class="LineNr">243 </span>max_length
<span id="L244" class="LineNr">244 </span>   is the maximum length of the entry in words.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L245" class="LineNr">245 </span>code
<span id="L246" class="LineNr">246 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L247" class="LineNr">247 </span>
<span id="L248" class="LineNr">248 </span>
<span id="L249" class="LineNr">249 </span>:Entry:  get_ring_brackets:  1985-02-27 fs_util_$get_ring_brackets
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>
<span id="L252" class="LineNr">252 </span>Function:  This entry point returns the ring brackets of an entry.
<span id="L253" class="LineNr">253 </span>
<span id="L254" class="LineNr">254 </span>
<span id="L255" class="LineNr">255 </span>Syntax:
<span id="L256" class="LineNr">256 </span>declare fs_util_$get_ring_brackets entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span>fixed
<span id="L257" class="LineNr">257 </span>     bin<span class="textRainbow_lv1_p0">(</span>3<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L258" class="LineNr">258 </span>call fs_util_$get_ring_brackets <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> ring_brackets<span class="textRainbow_lv0_o0">,</span>
<span id="L259" class="LineNr">259 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L260" class="LineNr">260 </span>
<span id="L261" class="LineNr">261 </span>
<span id="L262" class="LineNr">262 </span>Arguments:
<span id="L263" class="LineNr">263 </span>dir_name
<span id="L264" class="LineNr">264 </span>   is the absolute pathname of the directory containing the entry.
<span id="L265" class="LineNr">265 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L266" class="LineNr">266 </span>entryname
<span id="L267" class="LineNr">267 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L268" class="LineNr">268 </span>ring_brackets
<span id="L269" class="LineNr">269 </span>   are the ring numbers which define the upper bounds of the ring
<span id="L270" class="LineNr">270 </span>
<span id="L271" class="LineNr">271 </span>   brackets which control the various modes of access to the entry.
<span id="L272" class="LineNr">272 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Ring brackets are discussed in &quot;Intra Process Access
<span id="L273" class="LineNr">273 </span>   Control&quot; in the &quot;Multics Programmer's Reference Manual&quot;, Order No.
<span id="L274" class="LineNr">274 </span>   AG91.
<span id="L275" class="LineNr">275 </span>code
<span id="L276" class="LineNr">276 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L277" class="LineNr">277 </span>
<span id="L278" class="LineNr">278 </span>
<span id="L279" class="LineNr">279 </span>:Entry:  get_switch:  1985-02-27 fs_util_$get_switch
<span id="L280" class="LineNr">280 </span>
<span id="L281" class="LineNr">281 </span>
<span id="L282" class="LineNr">282 </span>Function:  This entry point returns the value of a storage system
<span id="L283" class="LineNr">283 </span>switch for an entry.
<span id="L284" class="LineNr">284 </span>
<span id="L285" class="LineNr">285 </span>
<span id="L286" class="LineNr">286 </span>Syntax:
<span id="L287" class="LineNr">287 </span>declare fs_util_$get_switch entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span>
<span id="L288" class="LineNr">288 </span>     aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L289" class="LineNr">289 </span>call fs_util_$get_switch <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> switch_name<span class="textRainbow_lv0_o0">,</span> value<span class="textRainbow_lv0_o0">,</span>
<span id="L290" class="LineNr">290 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L291" class="LineNr">291 </span>
<span id="L292" class="LineNr">292 </span>
<span id="L293" class="LineNr">293 </span>Arguments:
<span id="L294" class="LineNr">294 </span>dir_name
<span id="L295" class="LineNr">295 </span>   is the absolute pathname of the directory containing the entry.
<span id="L296" class="LineNr">296 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L297" class="LineNr">297 </span>entryname
<span id="L298" class="LineNr">298 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L299" class="LineNr">299 </span>switch_name
<span id="L300" class="LineNr">300 </span>   is the name of the switch whose value is sought.  For example, it
<span id="L301" class="LineNr">301 </span>   may be one of the following:  &quot;copy,&quot; &quot;complete_volume_dump,&quot;
<span id="L302" class="LineNr">302 </span>   &quot;damaged,&quot; &quot;incremental_volume_dump,&quot; &quot;safety,&quot; &quot;synchronized,&quot; or
<span id="L303" class="LineNr">303 </span>   any additional switch supported by the appropriate extended entry
<span id="L304" class="LineNr">304 </span>   type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L305" class="LineNr">305 </span>
<span id="L306" class="LineNr">306 </span>
<span id="L307" class="LineNr">307 </span>value
<span id="L308" class="LineNr">308 </span>   is the value of the requested switch.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L309" class="LineNr">309 </span>      &quot;1&quot;b means the switch is on
<span id="L310" class="LineNr">310 </span>      &quot;0&quot; means that it is off.
<span id="L311" class="LineNr">311 </span>code
<span id="L312" class="LineNr">312 </span>   is a standard system status code.  It should be set to
<span id="L313" class="LineNr">313 </span>   error_table_$argerr if switch_name is invalid.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L314" class="LineNr">314 </span>
<span id="L315" class="LineNr">315 </span>
<span id="L316" class="LineNr">316 </span>:Entry:  get_type:  1985-02-27 fs_util_$get_type
<span id="L317" class="LineNr">317 </span>
<span id="L318" class="LineNr">318 </span>
<span id="L319" class="LineNr">319 </span>Function:  This entry point returns the type of a specified entry.
<span id="L320" class="LineNr">320 </span>
<span id="L321" class="LineNr">321 </span>
<span id="L322" class="LineNr">322 </span>Syntax:
<span id="L323" class="LineNr">323 </span>declare fs_util_$get_type entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L324" class="LineNr">324 </span>     fixed_bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L325" class="LineNr">325 </span>call fs_util_$get_type <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L326" class="LineNr">326 </span>
<span id="L327" class="LineNr">327 </span>
<span id="L328" class="LineNr">328 </span>Arguments:
<span id="L329" class="LineNr">329 </span>dir_name
<span id="L330" class="LineNr">330 </span>   is the absolute pathname of the directory containing the entry.
<span id="L331" class="LineNr">331 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L332" class="LineNr">332 </span>entryname
<span id="L333" class="LineNr">333 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L334" class="LineNr">334 </span>type
<span id="L335" class="LineNr">335 </span>   is either the suffix if extended, or one of the name constants for
<span id="L336" class="LineNr">336 </span>   standard entry types found in the include file suffix_info.incl.pl1.
<span id="L337" class="LineNr">337 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L338" class="LineNr">338 </span>code
<span id="L339" class="LineNr">339 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L340" class="LineNr">340 </span>
<span id="L341" class="LineNr">341 </span>
<span id="L342" class="LineNr">342 </span>:Entry:  get_user_access_modes: 1985-02-27 fs_util_$get_user_access_modes
<span id="L343" class="LineNr">343 </span>
<span id="L344" class="LineNr">344 </span>
<span id="L345" class="LineNr">345 </span>Function:  This entry point returns a user's effective access mode and
<span id="L346" class="LineNr">346 </span>extended access mode for an entry.  For a description of modes, see
<span id="L347" class="LineNr">347 </span>&quot;Effective Access&quot; in the &quot;Multics Programmer's Reference Manual&quot;,
<span id="L348" class="LineNr">348 </span>Order No.  AG91.
<span id="L349" class="LineNr">349 </span>
<span id="L350" class="LineNr">350 </span>
<span id="L351" class="LineNr">351 </span>Syntax:
<span id="L352" class="LineNr">352 </span>declare fs_util_$get_user_access_modes entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L353" class="LineNr">353 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L354" class="LineNr">354 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L355" class="LineNr">355 </span>call fs_util_$get_user_access_modes <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> user_name<span class="textRainbow_lv0_o0">,</span>
<span id="L356" class="LineNr">356 </span>     ring<span class="textRainbow_lv0_o0">,</span> modes<span class="textRainbow_lv0_o0">,</span> exmodes<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L357" class="LineNr">357 </span>
<span id="L358" class="LineNr">358 </span>
<span id="L359" class="LineNr">359 </span>Arguments:
<span id="L360" class="LineNr">360 </span>dir_name
<span id="L361" class="LineNr">361 </span>   is the absolute pathname of the directory containing the entry.
<span id="L362" class="LineNr">362 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L363" class="LineNr">363 </span>entryname
<span id="L364" class="LineNr">364 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L365" class="LineNr">365 </span>user_name
<span id="L366" class="LineNr">366 </span>   is the access name of the user in the form Person_id.Project_id.tag.
<span id="L367" class="LineNr">367 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This is limited to 32 characters.  If null, the access name
<span id="L368" class="LineNr">368 </span>   of the calling process is used.
<span id="L369" class="LineNr">369 </span>
<span id="L370" class="LineNr">370 </span>
<span id="L371" class="LineNr">371 </span>ring
<span id="L372" class="LineNr">372 </span>   is the validation level that is to be used in computing effective
<span id="L373" class="LineNr">373 </span>   access.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It must be a value between 0 and 7 inclusive, or
<span id="L374" class="LineNr">374 </span>   -1.  If the ring value is -1, the default value of the validation
<span id="L375" class="LineNr">375 </span>   level of the calling process is used.  This default should be used
<span id="L376" class="LineNr">376 </span>   in all cases except those in which a different ring's access is
<span id="L377" class="LineNr">377 </span>   explicitly required.
<span id="L378" class="LineNr">378 </span>modes
<span id="L379" class="LineNr">379 </span>   are the standard ACL modes of an entry.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L380" class="LineNr">380 </span>xmodes
<span id="L381" class="LineNr">381 </span>   are the extended ACL modes of an entry.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L382" class="LineNr">382 </span>code
<span id="L383" class="LineNr">383 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L384" class="LineNr">384 </span>
<span id="L385" class="LineNr">385 </span>
<span id="L386" class="LineNr">386 </span>Notes:  The include file access_modes_values.incl.pl1 defines named
<span id="L387" class="LineNr">387 </span>constants for the different values of modes.  Extended access modes are
<span id="L388" class="LineNr">388 </span>defined by the subsystem owning the extended entry.
<span id="L389" class="LineNr">389 </span>
<span id="L390" class="LineNr">390 </span>
<span id="L391" class="LineNr">391 </span>:Entry:  list_acl:  1985-02-27 fs_util_$list_acl
<span id="L392" class="LineNr">392 </span>
<span id="L393" class="LineNr">393 </span>
<span id="L394" class="LineNr">394 </span>Function:  This entry point lists the components of an entry's Access
<span id="L395" class="LineNr">395 </span>Control List.
<span id="L396" class="LineNr">396 </span>
<span id="L397" class="LineNr">397 </span>
<span id="L398" class="LineNr">398 </span>Syntax:
<span id="L399" class="LineNr">399 </span>declare fs_util_$list_acl entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L400" class="LineNr">400 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L401" class="LineNr">401 </span>call fs_util_$list_acl <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> version<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L402" class="LineNr">402 </span>     acl_ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L403" class="LineNr">403 </span>
<span id="L404" class="LineNr">404 </span>
<span id="L405" class="LineNr">405 </span>Arguments:
<span id="L406" class="LineNr">406 </span>dir_name
<span id="L407" class="LineNr">407 </span>   is the absolute pathname of the directory containing the entry.
<span id="L408" class="LineNr">408 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L409" class="LineNr">409 </span>entryname
<span id="L410" class="LineNr">410 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L411" class="LineNr">411 </span>version
<span id="L412" class="LineNr">412 </span>   is the version of the acl structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L413" class="LineNr">413 </span>area_ptr
<span id="L414" class="LineNr">414 </span>   is a pointer to an area where fs_util_ can allocate the general_acl
<span id="L415" class="LineNr">415 </span>   structure.  If area_ptr is null, then the user wants access modes
<span id="L416" class="LineNr">416 </span>   for certain ACL entries; these will be specified by the structure
<span id="L417" class="LineNr">417 </span>   pointed to by acl_ptr.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L418" class="LineNr">418 </span>
<span id="L419" class="LineNr">419 </span>
<span id="L420" class="LineNr">420 </span>acl_ptr
<span id="L421" class="LineNr">421 </span>   is a pointer to the general_acl structure.  <span class="textRainbow_lv0_p0">(</span>Input or Output<span class="textRainbow_lv0_p0">)</span>
<span id="L422" class="LineNr">422 </span>   Input:  if area_ptr is null, then acl_ptr points to a general_acl
<span id="L423" class="LineNr">423 </span>   structure filled with access names and into which modes will be
<span id="L424" class="LineNr">424 </span>   placed.
<span id="L425" class="LineNr">425 </span>   Output:  if area_ptr is non null, then acl_ptr will point to the
<span id="L426" class="LineNr">426 </span>   start of a newly allocated general_acl structure.
<span id="L427" class="LineNr">427 </span>code
<span id="L428" class="LineNr">428 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L429" class="LineNr">429 </span>
<span id="L430" class="LineNr">430 </span>
<span id="L431" class="LineNr">431 </span>Notes:  If acl_ptr is used to obtain modes for specified access names
<span id="L432" class="LineNr">432 </span><span class="textRainbow_lv0_p0">(</span>rather than for all access names on an entry<span class="textRainbow_lv0_p0">)</span>, then each ACL entry in
<span id="L433" class="LineNr">433 </span>the general_acl structure either has status_code set to 0 and contains
<span id="L434" class="LineNr">434 </span>the entry's mode or has status_code set to error_table_$user_not_found
<span id="L435" class="LineNr">435 </span>and contains a mode of 0.
<span id="L436" class="LineNr">436 </span>
<span id="L437" class="LineNr">437 </span>The general_acl structure and the named constant GENERAL_ACL_VERSION_1
<span id="L438" class="LineNr">438 </span>are defined in the include file acl_structures.incl.pl1.  For a
<span id="L439" class="LineNr">439 </span>description of the general_acl structure, see the add_acl_entries
<span id="L440" class="LineNr">440 </span>entrypoint above.
<span id="L441" class="LineNr">441 </span>
<span id="L442" class="LineNr">442 </span>
<span id="L443" class="LineNr">443 </span>:Entry:  list_extended_acl:  1985-02-27 fs_util_$list_extended_acl
<span id="L444" class="LineNr">444 </span>
<span id="L445" class="LineNr">445 </span>
<span id="L446" class="LineNr">446 </span>Function:  This entry point returns the contents of the Extended Access
<span id="L447" class="LineNr">447 </span>Control List of a standard entry.
<span id="L448" class="LineNr">448 </span>
<span id="L449" class="LineNr">449 </span>
<span id="L450" class="LineNr">450 </span>Syntax:
<span id="L451" class="LineNr">451 </span>declare fs_util_$list_extended_acl entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L452" class="LineNr">452 </span>     ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L453" class="LineNr">453 </span>call fs_util_$list_extended_acl <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> version<span class="textRainbow_lv0_o0">,</span>
<span id="L454" class="LineNr">454 </span>     area_ptr<span class="textRainbow_lv0_o0">,</span> acl_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L455" class="LineNr">455 </span>
<span id="L456" class="LineNr">456 </span>
<span id="L457" class="LineNr">457 </span>Arguments:
<span id="L458" class="LineNr">458 </span>dir_name
<span id="L459" class="LineNr">459 </span>   is the absolute pathname of the directory containing the entry.
<span id="L460" class="LineNr">460 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L461" class="LineNr">461 </span>entryname
<span id="L462" class="LineNr">462 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L463" class="LineNr">463 </span>version
<span id="L464" class="LineNr">464 </span>   is the version of the acl structure.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L465" class="LineNr">465 </span>area_ptr
<span id="L466" class="LineNr">466 </span>   is a pointer to an area where fs_util_ can allocate the
<span id="L467" class="LineNr">467 </span>   general_extended_acl structure.  If area_ptr is null, then the user
<span id="L468" class="LineNr">468 </span>   wants access modes for certain extended ACL entries; these will be
<span id="L469" class="LineNr">469 </span>   specified by the structure pointed to acl_ptr.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L470" class="LineNr">470 </span>
<span id="L471" class="LineNr">471 </span>
<span id="L472" class="LineNr">472 </span>acl_ptr
<span id="L473" class="LineNr">473 </span>   is a pointer to the general_acl structure.  <span class="textRainbow_lv0_p0">(</span>Input or Output<span class="textRainbow_lv0_p0">)</span>
<span id="L474" class="LineNr">474 </span>   Input:  if area_ptr is null, then acl_ptr points to a
<span id="L475" class="LineNr">475 </span>   general_extended_acl structure filled with access names and into
<span id="L476" class="LineNr">476 </span>   which modes will be placed.
<span id="L477" class="LineNr">477 </span>   Output:  if area_ptr is non null, then acl_ptr will point to the
<span id="L478" class="LineNr">478 </span>   start of a newly allocated general_extended_acl structure.
<span id="L479" class="LineNr">479 </span>code
<span id="L480" class="LineNr">480 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L481" class="LineNr">481 </span>
<span id="L482" class="LineNr">482 </span>
<span id="L483" class="LineNr">483 </span>Notes:  This interface is intended to be used only by extended entry
<span id="L484" class="LineNr">484 </span>type support routines, <span class="textRainbow_lv0_p0">(</span>also referenced as suffix_XXX_<span class="textRainbow_lv0_p0">)</span>, in order to
<span id="L485" class="LineNr">485 </span>map an ACL mode provided to fs_util_ into a standard mode/extended mode
<span id="L486" class="LineNr">486 </span>pair to be placed on the underlying standard entry or entries which are
<span id="L487" class="LineNr">487 </span>being used to implement the extended entry type.
<span id="L488" class="LineNr">488 </span>
<span id="L489" class="LineNr">489 </span>If acl_ptr is used to obtain modes for specified access names <span class="textRainbow_lv0_p0">(</span>rather
<span id="L490" class="LineNr">490 </span>than for all access names on an entry<span class="textRainbow_lv0_p0">)</span>, then each ACL entry in the
<span id="L491" class="LineNr">491 </span>general_extended_acl structure either has status_code set to 0 and
<span id="L492" class="LineNr">492 </span>contains the entry's mode or has status_code set to
<span id="L493" class="LineNr">493 </span>error_table_$user_not_found and contains a mode of 0.
<span id="L494" class="LineNr">494 </span>
<span id="L495" class="LineNr">495 </span>
<span id="L496" class="LineNr">496 </span>The general_extended_acl structure and the named constant
<span id="L497" class="LineNr">497 </span>GENERAL_EXTENDED_ACL_VERSION_1 are defined in the include file
<span id="L498" class="LineNr">498 </span>acl_structures.incl.pl1.  The general_extended_acl structure is
<span id="L499" class="LineNr">499 </span>described in the add_extended_acl_entries entrypoint described above.
<span id="L500" class="LineNr">500 </span>
<span id="L501" class="LineNr">501 </span>
<span id="L502" class="LineNr">502 </span>:Entry:  list_switches:  1985-02-27 fs_util_$list_switches
<span id="L503" class="LineNr">503 </span>
<span id="L504" class="LineNr">504 </span>
<span id="L505" class="LineNr">505 </span>Function:  This entry point returns a list of switches supported by the
<span id="L506" class="LineNr">506 </span>entry type.
<span id="L507" class="LineNr">507 </span>
<span id="L508" class="LineNr">508 </span>
<span id="L509" class="LineNr">509 </span>Syntax:
<span id="L510" class="LineNr">510 </span>declare fs_util_$list_switches entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L511" class="LineNr">511 </span>     ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L512" class="LineNr">512 </span>call fs_util_$list_switches <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> version<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L513" class="LineNr">513 </span>     switch_list_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L514" class="LineNr">514 </span>
<span id="L515" class="LineNr">515 </span>
<span id="L516" class="LineNr">516 </span>Arguments:
<span id="L517" class="LineNr">517 </span>dir_name
<span id="L518" class="LineNr">518 </span>   is the absolute pathname of the directory containing the entry.
<span id="L519" class="LineNr">519 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L520" class="LineNr">520 </span>entryname
<span id="L521" class="LineNr">521 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L522" class="LineNr">522 </span>version
<span id="L523" class="LineNr">523 </span>   is the version of the switch list structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L524" class="LineNr">524 </span>area_ptr
<span id="L525" class="LineNr">525 </span>   is a pointer to an area where fs_util_ can allocate the structure
<span id="L526" class="LineNr">526 </span>   switch_list.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L527" class="LineNr">527 </span>switch_list_ptr
<span id="L528" class="LineNr">528 </span>   is a pointer to the switch_list structure.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L529" class="LineNr">529 </span>code
<span id="L530" class="LineNr">530 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L531" class="LineNr">531 </span>
<span id="L532" class="LineNr">532 </span>
<span id="L533" class="LineNr">533 </span>Notes:  The list_switches structure and the named constant
<span id="L534" class="LineNr">534 </span>SWITCH_LIST_VERSION_1 are defined in the include file
<span id="L535" class="LineNr">535 </span>suffix_info.incl.pl1.
<span id="L536" class="LineNr">536 </span>
<span id="L537" class="LineNr">537 </span>
<span id="L538" class="LineNr">538 </span>:Entry:  list_switches_for_type: 1985-02-27 fs_util_$list_switches_for_type
<span id="L539" class="LineNr">539 </span>
<span id="L540" class="LineNr">540 </span>
<span id="L541" class="LineNr">541 </span>Function:  This entry point returns a list of switches for a particular
<span id="L542" class="LineNr">542 </span>type of entry.
<span id="L543" class="LineNr">543 </span>
<span id="L544" class="LineNr">544 </span>
<span id="L545" class="LineNr">545 </span>Syntax:
<span id="L546" class="LineNr">546 </span>declare fs_util_$list_switches_for_type entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L547" class="LineNr">547 </span>     ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L548" class="LineNr">548 </span>call fs_util_$list_switches_for_type <span class="textRainbow_lv0_p0">(</span>type<span class="textRainbow_lv0_o0">,</span> version<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L549" class="LineNr">549 </span>     switch_list_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L550" class="LineNr">550 </span>
<span id="L551" class="LineNr">551 </span>
<span id="L552" class="LineNr">552 </span>Arguments:
<span id="L553" class="LineNr">553 </span>type
<span id="L554" class="LineNr">554 </span>   is either the suffix if extended, or one of the name constants for
<span id="L555" class="LineNr">555 </span>   standard entry types found in the include file suffix_info.incl.pl1.
<span id="L556" class="LineNr">556 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L557" class="LineNr">557 </span>version
<span id="L558" class="LineNr">558 </span>   is the version of the switch_list structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L559" class="LineNr">559 </span>area_ptr
<span id="L560" class="LineNr">560 </span>   is a pointer to an area where fs_util_ can allocate the structure
<span id="L561" class="LineNr">561 </span>   switch_list.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L562" class="LineNr">562 </span>switch_list_ptr
<span id="L563" class="LineNr">563 </span>   is a pointer to the switch_list structure.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L564" class="LineNr">564 </span>code
<span id="L565" class="LineNr">565 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L566" class="LineNr">566 </span>
<span id="L567" class="LineNr">567 </span>
<span id="L568" class="LineNr">568 </span>Notes:  The list_switches structure and the named constant
<span id="L569" class="LineNr">569 </span>SWITCH_LIST_VERSION_1 are defined in the include file
<span id="L570" class="LineNr">570 </span>suffix_info.incl.pl1.  The list_switches structure is described in the
<span id="L571" class="LineNr">571 </span>list_switches entrypoint above.
<span id="L572" class="LineNr">572 </span>
<span id="L573" class="LineNr">573 </span>
<span id="L574" class="LineNr">574 </span>:Entry:  make_entry:  1985-02-27 fs_util_$make_entry
<span id="L575" class="LineNr">575 </span>
<span id="L576" class="LineNr">576 </span>
<span id="L577" class="LineNr">577 </span>Function:  This entry point constructs a variable to a specified suffix
<span id="L578" class="LineNr">578 </span>support subroutine for a specified extended entry.
<span id="L579" class="LineNr">579 </span>
<span id="L580" class="LineNr">580 </span>
<span id="L581" class="LineNr">581 </span>Syntax:
<span id="L582" class="LineNr">582 </span>declare fs_util_$make_entry entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> entry<span class="textRainbow_lv0_o0">,</span>
<span id="L583" class="LineNr">583 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L584" class="LineNr">584 </span>call fs_util_$make_entry <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> entrypoint<span class="textRainbow_lv0_o0">,</span>
<span id="L585" class="LineNr">585 </span>     entry_to_call<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L586" class="LineNr">586 </span>
<span id="L587" class="LineNr">587 </span>
<span id="L588" class="LineNr">588 </span>Arguments:
<span id="L589" class="LineNr">589 </span>dir_name
<span id="L590" class="LineNr">590 </span>   is the absolute pathname of the directory containing the entry.
<span id="L591" class="LineNr">591 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L592" class="LineNr">592 </span>entryname
<span id="L593" class="LineNr">593 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L594" class="LineNr">594 </span>entrypoint
<span id="L595" class="LineNr">595 </span>   is the name of the entrypoint that is is to be constructed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L596" class="LineNr">596 </span>entry_to_call
<span id="L597" class="LineNr">597 </span>   is the entry variable constructed.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L598" class="LineNr">598 </span>code
<span id="L599" class="LineNr">599 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L600" class="LineNr">600 </span>
<span id="L601" class="LineNr">601 </span>
<span id="L602" class="LineNr">602 </span>:Entry:  make_entry_for_type:  1985-02-27 fs_util_$make_entry_for_type
<span id="L603" class="LineNr">603 </span>
<span id="L604" class="LineNr">604 </span>
<span id="L605" class="LineNr">605 </span>Function:  This entry point constructs a variable to a specified suffix
<span id="L606" class="LineNr">606 </span>support subroutine for a specified type of extended entry.
<span id="L607" class="LineNr">607 </span>
<span id="L608" class="LineNr">608 </span>
<span id="L609" class="LineNr">609 </span>Syntax:
<span id="L610" class="LineNr">610 </span>declare fs_util_$make_entry_for_type entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> entry<span class="textRainbow_lv0_o0">,</span>
<span id="L611" class="LineNr">611 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L612" class="LineNr">612 </span>call fs_util_$make_entry_for_type <span class="textRainbow_lv0_p0">(</span>type<span class="textRainbow_lv0_o0">,</span> entrypoint<span class="textRainbow_lv0_o0">,</span> entry_to_call<span class="textRainbow_lv0_o0">,</span>
<span id="L613" class="LineNr">613 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L614" class="LineNr">614 </span>
<span id="L615" class="LineNr">615 </span>
<span id="L616" class="LineNr">616 </span>Arguments:
<span id="L617" class="LineNr">617 </span>type
<span id="L618" class="LineNr">618 </span>   is either the suffix if extended, or one of the name constants for
<span id="L619" class="LineNr">619 </span>   standard entry types found in the include file suffix_info.incl.pl1.
<span id="L620" class="LineNr">620 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L621" class="LineNr">621 </span>entrypoint
<span id="L622" class="LineNr">622 </span>   is the name of the entrypoint that is is to be constructed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L623" class="LineNr">623 </span>entry_to_call
<span id="L624" class="LineNr">624 </span>   is the entry variable constructed.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L625" class="LineNr">625 </span>code
<span id="L626" class="LineNr">626 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L627" class="LineNr">627 </span>
<span id="L628" class="LineNr">628 </span>
<span id="L629" class="LineNr">629 </span>:Entry:  replace_acl:  1987-09-20 fs_util_$replace_acl
<span id="L630" class="LineNr">630 </span>
<span id="L631" class="LineNr">631 </span>
<span id="L632" class="LineNr">632 </span>Function:  This entry point is used to replace Access Control List
<span id="L633" class="LineNr">633 </span>components for an entry.
<span id="L634" class="LineNr">634 </span>
<span id="L635" class="LineNr">635 </span>
<span id="L636" class="LineNr">636 </span>Syntax:
<span id="L637" class="LineNr">637 </span>declare fs_util_$replace_acl entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L638" class="LineNr">638 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L639" class="LineNr">639 </span>call fs_util_$replace_acl <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> acl_ptr<span class="textRainbow_lv0_o0">,</span> no_sysdaemon<span class="textRainbow_lv0_o0">,</span>
<span id="L640" class="LineNr">640 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L641" class="LineNr">641 </span>
<span id="L642" class="LineNr">642 </span>
<span id="L643" class="LineNr">643 </span>Arguments:
<span id="L644" class="LineNr">644 </span>dir_name
<span id="L645" class="LineNr">645 </span>   is the absolute pathname of the directory containing the entry.
<span id="L646" class="LineNr">646 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L647" class="LineNr">647 </span>entryname
<span id="L648" class="LineNr">648 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L649" class="LineNr">649 </span>acl_ptr
<span id="L650" class="LineNr">650 </span>   is a pointer to the structure general_acl.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L651" class="LineNr">651 </span>
<span id="L652" class="LineNr">652 </span>
<span id="L653" class="LineNr">653 </span>no_sysdaemon
<span id="L654" class="LineNr">654 </span>   is a switch that indicates whether an rw *.SysDaemon.* entry is to
<span id="L655" class="LineNr">655 </span>   be put on the ACL of the segment after the existing ACL has been
<span id="L656" class="LineNr">656 </span>   deleted and before the user-supplied general_acl entries are added.
<span id="L657" class="LineNr">657 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L658" class="LineNr">658 </span>   &quot;0&quot;b adds rw *.SysDaemon.* entry
<span id="L659" class="LineNr">659 </span>   &quot;1&quot;b replaces the existing ACL with only the user-supplied
<span id="L660" class="LineNr">660 </span>   general_acl.
<span id="L661" class="LineNr">661 </span>code
<span id="L662" class="LineNr">662 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L663" class="LineNr">663 </span>
<span id="L664" class="LineNr">664 </span>
<span id="L665" class="LineNr">665 </span>Notes:  The general_acl structure and the named constant
<span id="L666" class="LineNr">666 </span>GENERAL_ACL_VERSION_1 are defined in the include file
<span id="L667" class="LineNr">667 </span>acl_structure.incl.pl1.  The general_acl structure is described above
<span id="L668" class="LineNr">668 </span>in the entrypoint add_acl_entries.
<span id="L669" class="LineNr">669 </span>
<span id="L670" class="LineNr">670 </span>
<span id="L671" class="LineNr">671 </span>:Entry:  replace_extended_acl:  1985-02-27 fs_util_$replace_extended_acl
<span id="L672" class="LineNr">672 </span>
<span id="L673" class="LineNr">673 </span>
<span id="L674" class="LineNr">674 </span>Function:  This entry point is used to replace Extended Access Control
<span id="L675" class="LineNr">675 </span>List components for a standard entry.
<span id="L676" class="LineNr">676 </span>
<span id="L677" class="LineNr">677 </span>
<span id="L678" class="LineNr">678 </span>Syntax:
<span id="L679" class="LineNr">679 </span>declare fs_util_$replace_extended_acl entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L680" class="LineNr">680 </span>     bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L681" class="LineNr">681 </span>call fs_util_$replace_extended_acl <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> acl_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L682" class="LineNr">682 </span>     no_sysdaemon<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L683" class="LineNr">683 </span>
<span id="L684" class="LineNr">684 </span>
<span id="L685" class="LineNr">685 </span>Arguments:
<span id="L686" class="LineNr">686 </span>dir_name
<span id="L687" class="LineNr">687 </span>   is the absolute pathname of the directory containing the entry.
<span id="L688" class="LineNr">688 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L689" class="LineNr">689 </span>entryname
<span id="L690" class="LineNr">690 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L691" class="LineNr">691 </span>acl_ptr
<span id="L692" class="LineNr">692 </span>   is a pointer to the structure general_extended_acl.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L693" class="LineNr">693 </span>
<span id="L694" class="LineNr">694 </span>
<span id="L695" class="LineNr">695 </span>no_sysdaemon
<span id="L696" class="LineNr">696 </span>   is a switch that indicates whether an rw *.SysDaemon.* entry is to
<span id="L697" class="LineNr">697 </span>   be put on the ACL of the segment after the existing ACL has been
<span id="L698" class="LineNr">698 </span>   deleted and before the user-supplied general_acl entries are added.
<span id="L699" class="LineNr">699 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L700" class="LineNr">700 </span>   &quot;0&quot;b adds rw *.SysDaemon.* entry
<span id="L701" class="LineNr">701 </span>   &quot;1&quot;b replaces the existing ACL with only the user-supplied
<span id="L702" class="LineNr">702 </span>   general_acl.
<span id="L703" class="LineNr">703 </span>code
<span id="L704" class="LineNr">704 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L705" class="LineNr">705 </span>
<span id="L706" class="LineNr">706 </span>
<span id="L707" class="LineNr">707 </span>Notes:  This interface is intended to be used only by extended entry
<span id="L708" class="LineNr">708 </span>type support routines, <span class="textRainbow_lv0_p0">(</span>also referenced as suffix_XXX_<span class="textRainbow_lv0_p0">)</span>, in order to
<span id="L709" class="LineNr">709 </span>map an ACL mode provided to fs_util_ into a standard mode/extended mode
<span id="L710" class="LineNr">710 </span>pair to be placed on the underlying standard entry or entries which are
<span id="L711" class="LineNr">711 </span>being used to implement the extended entry type.
<span id="L712" class="LineNr">712 </span>
<span id="L713" class="LineNr">713 </span>The structure general_extended_acl and the named constant
<span id="L714" class="LineNr">714 </span>GENERAL_EXTENDED_ACL_VERSION_1 are defined in the include file
<span id="L715" class="LineNr">715 </span>acl_structures.incl.pl1.  The structure general_extended_acl is
<span id="L716" class="LineNr">716 </span>described in the add_extended_acl_entries entry point above.
<span id="L717" class="LineNr">717 </span>
<span id="L718" class="LineNr">718 </span>
<span id="L719" class="LineNr">719 </span>:Entry:  set_bit_count:  2021-10-28  fs_util_$set_bit_count
<span id="L720" class="LineNr">720 </span>
<span id="L721" class="LineNr">721 </span>
<span id="L722" class="LineNr">722 </span>Function:  This entry point sets the number of bits considered useful
<span id="L723" class="LineNr">723 </span>for an entry.
<span id="L724" class="LineNr">724 </span>
<span id="L725" class="LineNr">725 </span>
<span id="L726" class="LineNr">726 </span>Syntax:
<span id="L727" class="LineNr">727 </span>declare fs_util_$set_bit_count entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L728" class="LineNr">728 </span>   fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L729" class="LineNr">729 </span>call fs_util_$set_bit_count <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> bit_count<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L730" class="LineNr">730 </span>
<span id="L731" class="LineNr">731 </span>
<span id="L732" class="LineNr">732 </span>Arguments:
<span id="L733" class="LineNr">733 </span>dir_name
<span id="L734" class="LineNr">734 </span>   is the absolute pathname of the directory containing the entry.
<span id="L735" class="LineNr">735 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L736" class="LineNr">736 </span>entryname
<span id="L737" class="LineNr">737 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L738" class="LineNr">738 </span>bit_count
<span id="L739" class="LineNr">739 </span>   is the number of bits to be considered useful in the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L740" class="LineNr">740 </span>code
<span id="L741" class="LineNr">741 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L742" class="LineNr">742 </span>
<span id="L743" class="LineNr">743 </span>
<span id="L744" class="LineNr">744 </span>:Entry:  set_max_length:  1985-02-27 fs_util_$set_max_length
<span id="L745" class="LineNr">745 </span>
<span id="L746" class="LineNr">746 </span>
<span id="L747" class="LineNr">747 </span>Function:  This entry point sets the maximum length a particular entry
<span id="L748" class="LineNr">748 </span>grow to.
<span id="L749" class="LineNr">749 </span>
<span id="L750" class="LineNr">750 </span>
<span id="L751" class="LineNr">751 </span>Syntax:
<span id="L752" class="LineNr">752 </span>declare fs_util_$set_max_length entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L753" class="LineNr">753 </span>        fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L754" class="LineNr">754 </span>call fs_util_$set_max_length <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> max_length<span class="textRainbow_lv0_o0">,</span>
<span id="L755" class="LineNr">755 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L756" class="LineNr">756 </span>
<span id="L757" class="LineNr">757 </span>
<span id="L758" class="LineNr">758 </span>Arguments:
<span id="L759" class="LineNr">759 </span>dir_name
<span id="L760" class="LineNr">760 </span>   is the absolute pathname of the directory containing the entry.
<span id="L761" class="LineNr">761 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L762" class="LineNr">762 </span>entryname
<span id="L763" class="LineNr">763 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L764" class="LineNr">764 </span>max_length
<span id="L765" class="LineNr">765 </span>   is the maximum length in words to be placed on the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L766" class="LineNr">766 </span>code
<span id="L767" class="LineNr">767 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L768" class="LineNr">768 </span>
<span id="L769" class="LineNr">769 </span>
<span id="L770" class="LineNr">770 </span>:Entry:  set_ring_brackets:  1985-02-27 fs_util_$set_ring_brackets
<span id="L771" class="LineNr">771 </span>
<span id="L772" class="LineNr">772 </span>
<span id="L773" class="LineNr">773 </span>Function:  This entry point sets the ring brackets of an entry.
<span id="L774" class="LineNr">774 </span>
<span id="L775" class="LineNr">775 </span>
<span id="L776" class="LineNr">776 </span>Syntax:
<span id="L777" class="LineNr">777 </span>declare fs_util_$set_ring_brackets entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span>fixed
<span id="L778" class="LineNr">778 </span>     bin<span class="textRainbow_lv1_p0">(</span>3<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L779" class="LineNr">779 </span>call fs_util_$set_ring_brackets <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> ring_brackets<span class="textRainbow_lv0_o0">,</span>
<span id="L780" class="LineNr">780 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L781" class="LineNr">781 </span>
<span id="L782" class="LineNr">782 </span>
<span id="L783" class="LineNr">783 </span>Arguments:
<span id="L784" class="LineNr">784 </span>dir_name
<span id="L785" class="LineNr">785 </span>   is the absolute pathname of the directory containing the entry.
<span id="L786" class="LineNr">786 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L787" class="LineNr">787 </span>entryname
<span id="L788" class="LineNr">788 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L789" class="LineNr">789 </span>ring_brackets
<span id="L790" class="LineNr">790 </span>   are the bounds of the rings from which an entry is accessible.
<span id="L791" class="LineNr">791 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L792" class="LineNr">792 </span>code
<span id="L793" class="LineNr">793 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L794" class="LineNr">794 </span>
<span id="L795" class="LineNr">795 </span>
<span id="L796" class="LineNr">796 </span>:Entry:  set_switch:  1986-10-01 fs_util_$set_switch
<span id="L797" class="LineNr">797 </span>
<span id="L798" class="LineNr">798 </span>
<span id="L799" class="LineNr">799 </span>Function:  This entry sets the value of a storage system switch for an
<span id="L800" class="LineNr">800 </span>entry.
<span id="L801" class="LineNr">801 </span>
<span id="L802" class="LineNr">802 </span>
<span id="L803" class="LineNr">803 </span>Syntax:
<span id="L804" class="LineNr">804 </span>declare fs_util_$set_switch entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span>
<span id="L805" class="LineNr">805 </span>     aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L806" class="LineNr">806 </span>call fs_util_$set_switch <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> switch_name<span class="textRainbow_lv0_o0">,</span> value<span class="textRainbow_lv0_o0">,</span>
<span id="L807" class="LineNr">807 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L808" class="LineNr">808 </span>
<span id="L809" class="LineNr">809 </span>
<span id="L810" class="LineNr">810 </span>Arguments:
<span id="L811" class="LineNr">811 </span>dir_name
<span id="L812" class="LineNr">812 </span>   is the absolute pathname of the directory containing the entry.
<span id="L813" class="LineNr">813 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L814" class="LineNr">814 </span>entryname
<span id="L815" class="LineNr">815 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L816" class="LineNr">816 </span>switch_name
<span id="L817" class="LineNr">817 </span>   is the name of the switch whose value is to be set.  This can be
<span id="L818" class="LineNr">818 </span>   either &quot;copy,&quot; &quot;complete_volume_dump,&quot; &quot;damaged,&quot;
<span id="L819" class="LineNr">819 </span>   &quot;incremental_volume_dump,&quot; &quot;safety,&quot; &quot;synchronized,&quot; or any switch
<span id="L820" class="LineNr">820 </span>   on an extend entry type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L821" class="LineNr">821 </span>
<span id="L822" class="LineNr">822 </span>
<span id="L823" class="LineNr">823 </span>value
<span id="L824" class="LineNr">824 </span>   is the value to which the switch is to be set.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L825" class="LineNr">825 </span>
<span id="L826" class="LineNr">826 </span>      &quot;1&quot;b means the switch is on
<span id="L827" class="LineNr">827 </span>      &quot;0&quot; means that it is off.
<span id="L828" class="LineNr">828 </span>code
<span id="L829" class="LineNr">829 </span>   is a standard system status code.  It should be set to
<span id="L830" class="LineNr">830 </span>   error_table_$argerr if switch_name is invalid.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L831" class="LineNr">831 </span>
<span id="L832" class="LineNr">832 </span>
<span id="L833" class="LineNr">833 </span>:Entry:  suffix_info:  1985-02-27 fs_util_$suffix_info
<span id="L834" class="LineNr">834 </span>
<span id="L835" class="LineNr">835 </span>
<span id="L836" class="LineNr">836 </span>Function:  This entry point returns information about an entry's type.
<span id="L837" class="LineNr">837 </span>
<span id="L838" class="LineNr">838 </span>
<span id="L839" class="LineNr">839 </span>Syntax:
<span id="L840" class="LineNr">840 </span>declare fs_util_$suffix_info entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L841" class="LineNr">841 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L842" class="LineNr">842 </span>call fs_util_$suffix_info <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> suffix_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L843" class="LineNr">843 </span>
<span id="L844" class="LineNr">844 </span>
<span id="L845" class="LineNr">845 </span>Arguments:
<span id="L846" class="LineNr">846 </span>dir_name
<span id="L847" class="LineNr">847 </span>   is the absolute pathname of the directory containing the entry.
<span id="L848" class="LineNr">848 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L849" class="LineNr">849 </span>entryname
<span id="L850" class="LineNr">850 </span>   is the name of the entry.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L851" class="LineNr">851 </span>suffix_info_ptr
<span id="L852" class="LineNr">852 </span>   is a pointer to the suffix_info structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L853" class="LineNr">853 </span>code
<span id="L854" class="LineNr">854 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L855" class="LineNr">855 </span>
<span id="L856" class="LineNr">856 </span>
<span id="L857" class="LineNr">857 </span>Notes:  The suffix_info structure and the named constant
<span id="L858" class="LineNr">858 </span>SUFFIX_INFO_VERSION_1 are defined in the include file
<span id="L859" class="LineNr">859 </span>suffix_info.incl.pl1.
<span id="L860" class="LineNr">860 </span>
<span id="L861" class="LineNr">861 </span>
<span id="L862" class="LineNr">862 </span>:Entry:  suffix_info_for_type:  1985-02-27 fs_util_$suffix_info_for_type
<span id="L863" class="LineNr">863 </span>
<span id="L864" class="LineNr">864 </span>
<span id="L865" class="LineNr">865 </span>Function:  This entry point returns information about the
<span id="L866" class="LineNr">866 </span>characteristics of an entry that is of a given type.  It behaves
<span id="L867" class="LineNr">867 </span>exactly as the suffix_info entrypoint except that a directory and entry
<span id="L868" class="LineNr">868 </span>name are not used to determine the type for which suffix info is to be
<span id="L869" class="LineNr">869 </span>returned.
<span id="L870" class="LineNr">870 </span>
<span id="L871" class="LineNr">871 </span>
<span id="L872" class="LineNr">872 </span>Syntax:
<span id="L873" class="LineNr">873 </span>declare fs_util_$suffix_info_for_type entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L874" class="LineNr">874 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L875" class="LineNr">875 </span>call fs_util_$suffix_info_for_type <span class="textRainbow_lv0_p0">(</span>type<span class="textRainbow_lv0_o0">,</span> suffix_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L876" class="LineNr">876 </span>
<span id="L877" class="LineNr">877 </span>
<span id="L878" class="LineNr">878 </span>Arguments:
<span id="L879" class="LineNr">879 </span>type
<span id="L880" class="LineNr">880 </span>   is either the suffix if extended, or one of the name constants for
<span id="L881" class="LineNr">881 </span>   standard entry types found in the include file suffix_info.incl.pl1.
<span id="L882" class="LineNr">882 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L883" class="LineNr">883 </span>suffix_info_ptr
<span id="L884" class="LineNr">884 </span>   is a pointer to the suffix_info structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L885" class="LineNr">885 </span>code
<span id="L886" class="LineNr">886 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L887" class="LineNr">887 </span>
<span id="L888" class="LineNr">888 </span>
<span id="L889" class="LineNr">889 </span>Notes:  The suffix_info structure and the named constant
<span id="L890" class="LineNr">890 </span>SUFFIX_INFO_VERSION_1 are defined in the include file
<span id="L891" class="LineNr">891 </span>suffix_info.incl.pl1.  The suffix_info structure is described in the
<span id="L892" class="LineNr">892 </span>suffix_info entrypoint above.
<span id="L893" class="LineNr">893 </span>
<span id="L894" class="LineNr">894 </span>
<span id="L895" class="LineNr">895 </span>:hcom:
<span id="L896" class="LineNr">896 </span>
<span id="L897" class="LineNr">897 </span>
<span id="L898" class="LineNr">898 </span>/****^  HISTORY COMMENTS:
<span id="L899" class="LineNr">899 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-01-22<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2020-01-22<span class="textRainbow_lv0_o0">,</span>MCR10078<span class="textRainbow_lv0_p0">)</span>,
<span id="L900" class="LineNr">900 </span>     audit<span class="textRainbow_lv0_p0">(</span>2020-02-01<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-11-07<span class="textRainbow_lv0_o0">,</span>MR12.8-1007<span class="textRainbow_lv0_p0">)</span>:
<span id="L901" class="LineNr">901 </span>     Fix various typos.
<span id="L902" class="LineNr">902 </span>  2) change<span class="textRainbow_lv0_p0">(</span>2021-11-06<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-11-06<span class="textRainbow_lv0_o0">,</span>MCR10100<span class="textRainbow_lv0_p0">)</span>,
<span id="L903" class="LineNr">903 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-11-07<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-11-07<span class="textRainbow_lv0_o0">,</span>MR12.8-1007<span class="textRainbow_lv0_p0">)</span>:
<span id="L904" class="LineNr">904 </span>     Fix declaration for fs_util_$set_bit_count.
<span id="L905" class="LineNr">905 </span>                                                   END HISTORY COMMENTS */
<span id="L906" class="LineNr">906 </span>
<span id="L907" class="LineNr">907 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
